Bug 1255731 - Document Previewer: Failed to print document
Document Previewer: Failed to print document
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: evince (Show other bugs)
7.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Caolan McNamara
Desktop QE
:
: 1364346 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 08:08 EDT by Jiri Koten
Modified: 2017-08-02 02:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 760826 None None None 2016-01-19 05:52 EST

  None (edit)
Description Jiri Koten 2015-08-21 08:08:53 EDT
Description of problem:
When I run evince-previewer on its own, i.e. from command line, it opens the document but It fails to print it.

Error msg:
Failed to print document
The selected printer '(null)' could not be found

Opening Previewer inside of evince won't produce this error and document is printed fine.

Version-Release number of selected component (if applicable):
evince-3.14.2-4.el7

How reproducible:
100%

Steps to Reproduce:
1. evince-previewer document.pdf
2. Click the Printer icon
3.

Actual results:
Failed to print document
The selected printer '(null)' could not be found


Expected results:
The document is printed

Additional info:

Also there is a critical error in console output:

(evince-previewer:9890): EvinceView-CRITICAL **: ev_page_cache_get_form_field_mapping: assertion 'EV_IS_PAGE_CACHE (cache)' failed
Comment 4 Caolan McNamara 2017-01-10 11:01:42 EST
*** Bug 1364346 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.